<?xml version="1.0" encoding="UTF-8"?>

<?import java.net.URL?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.MenuButton?>
<?import javafx.scene.control.MenuItem?>
<?import javafx.scene.control.TableColumn?>
<?import javafx.scene.control.TableView?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.HBox?>
<?import java.net.URL?>
<?import javafx.scene.text.Font?>
<?import javafx.geometry.Insets?>
<?import com.jfoenix.controls.JFXButton?>
<?import com.jfoenix.controls.JFXTextField?>

<AnchorPane fx:id="holderPane" prefHeight="801.0" prefWidth="1088.0" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="GUI.CategorieBackController">
    <stylesheets>
        <URL value="@Stylesheet.css" />
    </stylesheets>
    <children>
                 <HBox layoutX="1.0" layoutY="2.0" prefHeight="64.0" prefWidth="1106.0" styleClass="dash">
         <children>
            <Label prefHeight="39.0" prefWidth="786.0" text=" Categories de souvenirs" textFill="#6c6c6c">
               <font>
                  <Font name="System Bold" size="27.0" />
               </font>
               <HBox.margin>
                  <Insets left="40.0" top="10.0" />
               </HBox.margin></Label>
            <HBox prefHeight="63.0" prefWidth="281.0">
               <children>
                  <ImageView fitHeight="33.0" fitWidth="38.0">
                     <image>
                        <Image url="@../Images/User_Executive_1.png" />
                     </image>
                     <HBox.margin>
                        <Insets top="20.0" />
                     </HBox.margin>
                  </ImageView>
                  <MenuButton mnemonicParsing="false" style="-fx-background-color: transparent;" text="Admin">
                    <items>
                      <MenuItem mnemonicParsing="false" styleClass="menuItem" text="Logout" />
                    </items>
                     <font>
                        <Font name="Ebrima Bold" size="16.0" />
                     </font>
                     <HBox.margin>
                        <Insets left="5.0" top="25.0" />
                     </HBox.margin>
                  </MenuButton>
               </children>
            </HBox>
         </children></HBox>
      <TableView fx:id="CategoryList" layoutX="142.0" layoutY="174.0" prefHeight="339.0" prefWidth="304.0">
        <columns>
          <TableColumn fx:id="nom" prefWidth="304.0" style="-fx-background-color: #F5B7B1;" text="Category" />
        </columns>
      </TableView>
      <JFXButton layoutX="368.0" layoutY="552.0" onAction="#supprimer" style="-fx-background-color: #F5B7B1; -fx-background-radius: 2cm;" text="supprimer">
         <font>
            <Font name="System Bold Italic" size="13.0" />
         </font>
      </JFXButton>
      <JFXButton layoutX="589.0" layoutY="315.0" onAction="#ajout" style="-fx-background-color: #F5B7B1; -fx-background-radius: 2cm;" text="ajouter categorie">
         <font>
            <Font name="System Bold Italic" size="13.0" />
         </font>
      </JFXButton>
      <JFXTextField fx:id="nomCt" focusColor="#ea646a" layoutX="514.0" layoutY="228.0" prefHeight="25.0" prefWidth="193.0" promptText="Nom" />
      <JFXButton layoutX="81.0" layoutY="66.0"  onAction="#stat" style="-fx-background-color: #F5B7B1; -fx-background-radius: 2cm;" prefHeight="39.0" prefWidth="152.0" text="Statistique des Produits" />
    
      
      
   </children>
</AnchorPane>
